| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Test.PhysAnalAlg Class Reference
Inheritance diagram for Test.PhysAnalAlg:
[legend]
Collaboration diagram for Test.PhysAnalAlg:
[legend]

## Public Member Functions
def | initialize (self)
def | execute (self)
def | finalize (self)

## Public Attributes
| evt
| his
| h1
| h2

## Detailed Description

Definition at line 50 of file Test.py.

## Member Function Documentation

def Test.PhysAnalAlg.execute | ( |  | self | ) |

Definition at line 59 of file Test.py.

59 def execute(self):
60 tks = self.evt.object('MyTracks')
61 print 'MyTracks collection contains ' + `len(tks)` + ' Tracks'
62 for t in tks :
63 self.h1.fill( math.sqrt(t.px*t.px + t.py*t.py + t.pz*t.pz), 1)
64 self.h2.fill( t.px, t.py )
65 return 1
Test.PhysAnalAlg.execute
def execute(self)
Definition: Test.py:59

def Test.PhysAnalAlg.finalize | ( |  | self | ) |

Definition at line 66 of file Test.py.

66 def finalize(self):
67 print 'Finalizing User Analysis...'
68 print self.h1
69 print self.h1.entries()
70 print self.h2
71 print '....User Analysis Finalized'
72 return 1
73
Test.PhysAnalAlg.h1
h1
Definition: Test.py:55
Test.PhysAnalAlg.finalize
def finalize(self)
Definition: Test.py:66
Test.PhysAnalAlg.h2
h2
Definition: Test.py:56

def Test.PhysAnalAlg.initialize | ( |  | self | ) |

Definition at line 51 of file Test.py.

51 def initialize(self):
52 self.evt = gaudi.DataSvc(g.service('EventDataSvc'))
53 self.his = gaudi.HistoSvc(g.service('HistogramDataSvc'))
54 print 'Initializing User Analysis...'
55 self.h1 = self.his.book('myhisto1', 'Histogram 1D for tests', 20, 0., 40.)
56 self.h2 = self.his.book('myhisto2', 'Histogram 2D for test2', 20, 0., 40., 20, 0., 10.)
57 print '....User Analysis Initialized'
58 return 1
Test.PhysAnalAlg.h1
h1
Definition: Test.py:55
Test.PhysAnalAlg.evt
evt
Definition: Test.py:52
Test.PhysAnalAlg.his
his
Definition: Test.py:53
Test.PhysAnalAlg.initialize
def initialize(self)
Definition: Test.py:51
Test.PhysAnalAlg.h2
h2
Definition: Test.py:56

## Member Data Documentation

Test.PhysAnalAlg.evt

Definition at line 52 of file Test.py.

Test.PhysAnalAlg.h1

Definition at line 55 of file Test.py.

Test.PhysAnalAlg.h2

Definition at line 56 of file Test.py.

Test.PhysAnalAlg.his

Definition at line 53 of file Test.py.

The documentation for this class was generated from the following file:

- GaudiPython/home/Test.py